# powerchart.awk by Luke Hankins, April 1992
#

# ignore blank lines and garbage
/^$/ {next}
$1 == "worldwide" { next }
$1 == "----" { next }
$1 == "power" { next }


#get the headings
$1 == "name" {
	for(i=2;i<=15;i++)  {
		label[i] = $i
	}
	next
}	

# ** game specific stuff  ** (for silly twits who insist on spaces in names...)
{ gsub(/Park P/,"Park_P")}

# make the header
($1 == "-") || ($1 == "as") {
	gsub(/Power/,"Chart Leaders")
	print $0
	next
}

{
	for(i=2;i<=15;i++)  {
		if (($i >= amount[i]) && ($i>0)) {
			if ($i == amount[i]) {
				if (name[i] != "") {
					name[i] = name[i] "," substr($0,1,9)
				} else {
					name[i] = substr($0,1,9)
				}
				gsub(/ /,"",name[i])
			} else {
				name[i] = substr($0,1,9)
				amount[i] = $i
			}
		}
	}
	next
}

END {
	amount[3] = amount[3] "%"
	for(i=2;i<=15;i++)  {
		printf("%s\t%12s\t%s\n",label[i],name[i],niceify(amount[i]))
	}
}

function niceify(string) {
		temp = string
		if ((temp>1000) && (temp < 10000)) {
			temp = temp/1000
			string = temp "K"
		}
		gsub(/000000/,"M",string)
		gsub(/00000/,"00K",string)
		gsub(/0000/,"0K",string)
		gsub(/000/,"K",string)
		return string
}
